Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611855 - creating vms fails, with inability to create tap devices
creating vms fails, with inability to create tap devices
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 13:16 EDT by ritz
Modified: 2010-07-09 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 12:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2010-07-06 13:16:47 EDT
Description of problem:
creating vms fails, with inability to create tap devices

Version-Release number of selected component (if applicable):
el6

How reproducible:
always

Steps to Reproduce:
1. fresh minimal install
2. add libvirt
3. connect to system using virt-manager
4. try to create a vm

Actual results:
fails

Expected results:
should work

Additional info:
add tunectl to "Requires"
Comment 1 Daniel Berrange 2010-07-06 13:23:51 EDT
Please provide the actual error messages received.  libvirt has no need for any tunctl program as it opens /dev/net/tun directly, and this device node is automatically created by udev on all my RHEL6 systems.
Comment 3 ritz 2010-07-08 07:32:01 EDT
I have not been able to reproduce this issue, after uninstalling tunctl. Odd. It was related with unable to create tap device, using qemu.
Comment 4 Dave Allan 2010-07-09 12:34:18 EDT
Since the problem is now not reproducible, I'm going to close this BZ, but of course please reopen if you are able to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.